OpenSSL released a patch for the poodle attack:
http://threatpost.com/openssl-releases-patch-for-poodle-attack/108875